# This Makefile.PL for Config-UCL was generated by
# inc::MyMakeMaker <self>
# and Dist::Zilla::Plugin::MakeMaker::Awesome 0.48.
# Don't edit it but the dist.ini and plugins used to construct it.

use strict;
use warnings;

use ExtUtils::MakeMaker;

    use ExtUtils::Constant qw(WriteConstants);
    WriteConstants(
        PROXYSUBS => { autoload => 0 },
        NAME => "Config::UCL",
        NAMES => [
            # greple --inside '^(typedef )?enum(.|\n)*?};' -e 'UCL[^ ,|]+' -o libucl-0.8.1/include/ucl.h | ack 'UCL_(EMIT|PARSER|STRING|DUPLICATE|PARSE)_' | awk '!x[$0]++'
            map +{ name => $_, macro => 1 },
                qw(
                    UCL_EMIT_JSON
                    UCL_EMIT_JSON_COMPACT
                    UCL_EMIT_CONFIG
                    UCL_EMIT_YAML
                    UCL_EMIT_MSGPACK
                    UCL_EMIT_MAX
                    UCL_PARSER_ZEROCOPY
                    UCL_PARSER_DEFAULT
                    UCL_PARSER_KEY_LOWERCASE
                    UCL_PARSER_NO_TIME
                    UCL_PARSER_NO_IMPLICIT_ARRAYS
                    UCL_PARSER_SAVE_COMMENTS
                    UCL_PARSER_DISABLE_MACRO
                    UCL_PARSER_NO_FILEVARS
                    UCL_STRING_RAW
                    UCL_STRING_ESCAPE
                    UCL_STRING_TRIM
                    UCL_STRING_PARSE_BOOLEAN
                    UCL_STRING_PARSE_INT
                    UCL_STRING_PARSE_DOUBLE
                    UCL_STRING_PARSE_TIME
                    UCL_STRING_PARSE_NUMBER
                    UCL_STRING_PARSE
                    UCL_STRING_PARSE_BYTES
                    UCL_DUPLICATE_APPEND
                    UCL_DUPLICATE_MERGE
                    UCL_DUPLICATE_REWRITE
                    UCL_DUPLICATE_ERROR
                    UCL_PARSE_UCL
                    UCL_PARSE_MSGPACK
                    UCL_PARSE_CSEXP
                    UCL_PARSE_AUTO
                )
        ],
    );

my %WriteMakefileArgs = (
  "ABSTRACT" => "Perl bindings for libucl",
  "AUTHOR" => "Tomohiro Hosaka <bokutin\@bokut.in>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::Constant" => 0,
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Config-UCL",
  "LIBS" => [
    "-lucl"
  ],
  "LICENSE" => "perl",
  "NAME" => "Config::UCL",
  "PREREQ_PM" => {
    "JSON::PP" => "2.00"
  },
  "TEST_REQUIRES" => {
    "Sort::Naturally" => 0,
    "Test::Differences" => 0,
    "Test::Exception" => 0,
    "Test::LeakTrace" => 0,
    "Test::Most" => 0
  },
  "VERSION" => "0.01",
  "test" => {
    "TESTS" => "t/*.t"
  }
);

my %FallbackPrereqs = (
  "JSON::PP" => "2.00",
  "Sort::Naturally" => 0,
  "Test::Differences" => 0,
  "Test::Exception" => 0,
  "Test::LeakTrace" => 0,
  "Test::Most" => 0
);

unless ( eval { ExtUtils::MakeMaker->VERSION('6.63_03') } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
